Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Class DefaultUsmAgent

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.stack.DefaultUsmAgent

All Implemented Interfaces:
  UsmAgent

public class DefaultUsmAgent
extends java.lang.Object
implements UsmAgent

This implementation of UsmAgent tries to discover the parameters by doing the default USM discovery process on localhost.

Note that it is not guaranteed that the agent will allow discovery by itself. Also, if the SNMP agent reboots while the stack is running, it will not pick up the new boots and time.

Users are advised and encouraged to provide a better, more accurate implementation of UsmAgent.

See SNMP-USER-BASED-SM-MIB.

Version:
  $Revision: 3.9 $ $Date: 2006/03/23 14:54:10 $
Author:
  Birgit Arkesteijn
See Also:
  `SnmpContextv3`

Field Summary
`static java.lang.String` | `LOCAL_HOST` The default name of the local host, localhost.
`static int` | `LOCAL_PORT` The default port number of the local host, 161.

Fields inherited from interface uk.co.westhawk.snmp.stack.UsmAgent
`MYFAKEHOSTNAME, version_id`

Constructor Summary
`DefaultUsmAgent()`

Method Summary
`int` | `getSnmpEngineBoots()` Returns the authoritative Engine Boots.
`java.lang.String` | `getSnmpEngineId()` Returns the authoritative SNMP Engine ID.
`int` | `getSnmpEngineTime()` Returns the authoritative Engine Time.
`long` | `getUsmStatsNotInTimeWindows()` Returns the value of the usmStatsNotInTimeWindows counter.
`long` | `getUsmStatsUnknownEngineIDs()` Returns the value of the usmStatsUnknownEngineIDs counter.
`void` | `setAgentName(java.lang.String host)` Sets my own hostname, i.e. the name of the agent or authoritative engine.
`void` | `setAgentPort(int p)` Sets my own port number, i.e. the port number of the agent or authoritative engine.
`void` | `setSnmpContext(SnmpContextv3Basis c)` Sets the SNMP context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCAL_HOST

    public static final java.lang.String LOCAL_HOST

  The default name of the local host, localhost.

  See Also:
    Constant Field Values

### LOCAL_PORT

    public static final int LOCAL_PORT

  The default port number of the local host, 161.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultUsmAgent

    public DefaultUsmAgent()

Method Detail

### getSnmpEngineId

    public java.lang.String getSnmpEngineId()

  Returns the authoritative SNMP Engine ID. If the discovery failed, null will be returned.

  Specified by:
    `getSnmpEngineId` in interface `UsmAgent`
  Returns:
    The Engine ID
  See Also:
    `SnmpUtilities.toBytes(String)`

### getSnmpEngineBoots

    public int getSnmpEngineBoots()

  Returns the authoritative Engine Boots. If the discovery failed, 1 will be returned.

  Specified by:
    `getSnmpEngineBoots` in interface `UsmAgent`
  Returns:
    The Engine Boots

### getSnmpEngineTime

    public int getSnmpEngineTime()

  Returns the authoritative Engine Time. If the discovery failed, 1 will be returned.

  Specified by:
    `getSnmpEngineTime` in interface `UsmAgent`
  Returns:
    The Engine Time

### setSnmpContext

    public void setSnmpContext(SnmpContextv3Basis c)

  Sets the SNMP context. It will do a discovery if needed.

  Specified by:
    `setSnmpContext` in interface `UsmAgent`

### setAgentName

    public void setAgentName(java.lang.String host)
                      throws java.net.UnknownHostException

  Sets my own hostname, i.e. the name of the agent or authoritative engine. By default localhost is used. Sets the hostaddress as well, using java.net.InetAddress.

  Throws:
    `java.net.UnknownHostException` - Thrown when java.net.InetAddress cannot resolve the name
  See Also:
    `LOCAL_HOST`

### setAgentPort

    public void setAgentPort(int p)

  Sets my own port number, i.e. the port number of the agent or authoritative engine. By default 161 is used.

  See Also:
    `LOCAL_PORT`

### getUsmStatsUnknownEngineIDs

    public long getUsmStatsUnknownEngineIDs()

  Description copied from interface: `UsmAgent`
  Returns the value of the usmStatsUnknownEngineIDs counter. The stack needs this when responding to a discovery request.

  Specified by:
    `getUsmStatsUnknownEngineIDs` in interface `UsmAgent`
  Since:
    4_14

### getUsmStatsNotInTimeWindows

    public long getUsmStatsNotInTimeWindows()

  Description copied from interface: `UsmAgent`
  Returns the value of the usmStatsNotInTimeWindows counter. The stack needs this when responding to a discovery request.

  Specified by:
    `getUsmStatsNotInTimeWindows` in interface `UsmAgent`
  Since:
    4_14

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD